vim.lsp.config.clangd = {
  cmd = { '/usr/local/bin/clangd19', '--background-index', '--function-arg-placeholders' },
  root_markers = { 'compile_commands.json', 'compile_flags.txt' },
  filetypes = { 'c', 'cpp' },
}

vim.lsp.config.lua_ls = {
  settings = {
    Lua = {
      runtime = {
        version = 'LuaJIT',
      },
      diagnostics = {
        globals = {'vim'},
      },
      workspace = {
        library = vim.api.nvim_get_runtime_file("", true),
      },
      telemetry = {
        enable = false,
      },
    },
  }
}

local project_library_path = "/home/t/.local/lib/node_modules"
local ng_cmd = {"ngserver", "--stdio", "--tsProbeLocations", project_library_path , "--ngProbeLocations", project_library_path}

vim.lsp.config.angularls = {
  cmd = ng_cmd,
  on_new_config = function(new_config,new_root_dir)
    new_config.cmd = ng_cmd
  end,
}

vim.lsp.config.markdown_oxide = {
  on_attach = on_attach,
  cmd = {
    'markdown-oxide'
  }
}

vim.lsp.enable({
	'clangd',
	'lua_ls',
	'angularls',
	'cssls',
	'html',
	'ts_ls',
	'vimls',
	'jsonls',
	'gopls',
	'markdown_oxid'
})

vim.diagnostic.config({
	virtual_text = true,
	virtual_lines = true
})

